import React from 'react';
import { View, Text, StyleSheet, TouchableHighlight, Image } from 'react-native';
import { useNavigation } from '@react-navigation/native';

const DiseaseScreen = () => {
  const navigation = useNavigation();

  const navigateToAreaCalculation = () => {
    navigation.navigate('Area Calculation');
  };

  // const navigateToGrowthTwo = () => {
  //   navigation.navigate('Growth two');
  // };

  return (
    <View style={styles.container}>
      <View style={styles.buttonsContainer}>
        
        <TouchableHighlight
          style={styles.button}
          onPress={navigateToAreaCalculation}
          underlayColor="#e8fbe8" // Highlight color when pressed
        >
          <Text style={styles.buttonText}>Area Calculation</Text>
        </TouchableHighlight>
      </View>

      <View style={styles.messageBox}>
    <Text style={styles.infoHeaderText}>
        For better results:
    </Text>
    <Text style={styles.infoDetailText}>
        Upload or capture a leaf image with white or plain color background
    </Text>
</View>


      {/* <TouchableHighlight
          style={styles.button}
          onPress={navigateToVarietyIdentifier}
          underlayColor="#e8fbe8" // Highlight color when pressed
        >
          <Text style={styles.buttonText}>growth 2</Text>
        </TouchableHighlight> */}

      
      <Image
        source={require('./assets/areaUI.png')} // Replace with your image source
        style={styles.backgroundImage}
      />
    </View>
  );
};

const styles = StyleSheet.create({
  // container: {
  //   flex: 1,
  //   justifyContent: 'center',
  //   alignItems: 'center',
  // },

  container: {
    flex: 1,
    justifyContent: 'space-between', // Will space out your elements
    alignItems: 'center',
    paddingVertical: 20, // Space at the top and bottom
  },
  buttonsContainer: {
    marginTop: 20,
  },
  button: {
    backgroundColor: '#87B673',
    paddingHorizontal: 20,
    paddingVertical: 10,
    borderRadius: 10,
    borderWidth: 0,
    borderColor: 'black',
    marginVertical: 20,
    width: 250,
    shadowColor: 'black',
    shadowOffset: { width: 0, height: 2 },
    shadowOpacity: 0.8,
    shadowRadius: 4,
    elevation: 10,
    height: 100,
  },
  buttonText: {
    color: 'black',
    fontSize: 25,
    fontWeight: '900',
    textAlign: 'center',
    marginTop: 25,
  },
  backgroundImage: {
    width: 350, // Adjust the width as needed
    height: 350, // Adjust the height as needed
    resizeMode: 'contain',
    alignSelf: 'center',
    //marginTop:1
  },
  messageBox: {
    backgroundColor: '#E8FBE8',
    borderColor: '#87B673',
    borderWidth: 2,
    borderRadius: 10,
    paddingHorizontal: 20,
    paddingVertical: 10,
    width: '80%', // Takes up 80% of container width for a better look
    height: 200,
    marginTop:30
  },

  infoHeaderText: {
    color: 'black',
    fontSize: 25,
    fontWeight: 'bold',
    textAlign: 'center',
    marginBottom: 10,
    textDecorationLine: 'underline',
    textTransform: 'capitalize',
    marginTop: 30,
  },
  infoDetailText: {
    color: 'black',
    fontSize: 20,
    letterSpacing: 2,
    lineHeight: 24,
    textAlign: 'center',
    marginTop: 20,
  },

});

export default DiseaseScreen;

